// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// DatabaseConfig is an autogenerated mock type for the DatabaseConfig type
type DatabaseConfig struct {
	mock.Mock
}

// DSN provides a mock function with given fields:
func (_m *DatabaseConfig) DSN() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// Engine provides a mock function with given fields:
func (_m *DatabaseConfig) Engine() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
